Build citra in ubuntu 16.04.5

#1

When i build citra, i have error :frowning:

[email protected]:~/Documents/citra/build$ make
[ 4%] Built target cryptopp
[ 5%] Built target fmt
[ 6%] Building CXX object externals/dynarmic/src/CMakeFiles/dynarmic.dir/common/crypto/aes.cpp.o
In file included from /home/thanhcong/Documents/citra/externals/dynarmic/src/common/crypto/aes.cpp:11:0:
/home/thanhcong/Documents/citra/externals/dynarmic/src/./common/crypto/aes.h:12:19: error: expected ‘{’ before ‘::’ token
namespace Dynarmic::Common::Crypto::AES {
^
compilation terminated due to -Wfatal-errors.
externals/dynarmic/src/CMakeFiles/dynarmic.dir/build.make:62: recipe for target ‘externals/dynarmic/src/CMakeFiles/dynarmic.dir/common/crypto/aes.cpp.o’ failed
make[2]: *** [externals/dynarmic/src/CMakeFiles/dynarmic.dir/common/crypto/aes.cpp.o] Error 1
CMakeFiles/Makefile2:264: recipe for target ‘externals/dynarmic/src/CMakeFiles/dynarmic.dir/all’ failed
make[1]: *** [externals/dynarmic/src/CMakeFiles/dynarmic.dir/all] Error 2
Makefile:140: recipe for target ‘all’ failed
make: *** [all] Error 2

Someone can help me ? Thanks

#2

In order for us to provide better support, we need to see the log generated by Citra. This guide will walk you through how you can obtain the log file: How to Upload the Log File.

#3

I’m pretty sure you need to update Ubuntu to at least 18.04

#4

Make sure all your requirements are satisfied. Citra needs at least gcc 7.0

I painfully updated gcc using this I found on superuser.com:

sudo add-apt-repository ppa:ubuntu-toolchain-r/test

sudo apt-get update
sudo apt-get install gcc-8
sudo apt-get install g++-8
sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-8 20
sudo update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-8 20
sudo update-alternatives --config gcc
sudo update-alternatives --config g++